Bug 179755 - Request to update lpfc driver to revision 7.3.4
Request to update lpfc driver to revision 7.3.4
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-02 12:45 EST by James Smart
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:47:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Smart 2006-02-02 12:45:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
We would like to update the lpfc driver in RHEL 3 to revision 7.3.4.

Below, I have attached the description of the changes between the
current 7.3.3 driver and the 7.3.4 driver. 

----

diff -upNr lpfcdriver-2.4-7.3.3/ChangeLog lpfcdriver-2.4-7.3.4/ChangeLog
--- lpfcdriver-2.4-7.3.3/ChangeLog	2005-11-02 18:06:03.000000000 -0500
+++ lpfcdriver-2.4-7.3.4/ChangeLog	2006-01-11 16:49:33.000000000 -0500
@@ -1,9 +1,13 @@
+Changes from 20051028: to 2006111
+	* Changed version to 7.3.4
+	* Fixed a double insertion of mail box object to the SLI mailbox list.
+
 Changes from 20050711 to 20051028:
 
 	* Changed version to 7.3.3
 	* Fix names reported in the system log and in the proc files 
 	* Adding LP11000S and LPE11000S PCI IDs
-
+	
 Changes from 20050503 to 20050711:
 
 	* Changed version to 7.3.2.
diff -upNr lpfcdriver-2.4-7.3.3/lpfc_sli.c lpfcdriver-2.4-7.3.4/lpfc_sli.c
--- lpfcdriver-2.4-7.3.3/lpfc_sli.c	2005-11-02 18:06:03.000000000 -0500
+++ lpfcdriver-2.4-7.3.4/lpfc_sli.c	2006-01-11 16:49:33.000000000 -0500
@@ -19,7 +19,7 @@
  *******************************************************************/
 
 /*
- * $Id: lpfc_sli.c 328 2005-05-03 15:20:43Z sf_support $
+ * $Id: lpfc_sli.c 471 2006-01-11 21:00:59Z sf_support $
  */
 
 #include <linux/version.h>
@@ -3647,11 +3647,10 @@ lpfc_sli_issue_mbox_wait(lpfcHBA_t * phb
 		pmboxq->context1 = 0;
 		/* if schedule_timeout returns 0, we timed out and were not
 		   woken up */
-		if (timeleft == 0) {
+		if ((timeleft == 0) || signal_pending(current))
 			retval = MBX_TIMEOUT;
-		} else {
+		else
 			retval = MBX_SUCCESS;
-		}
 	}
 
 
diff -upNr lpfcdriver-2.4-7.3.3/lpfc_version.h lpfcdriver-2.4-7.3.4/lpfc_version.h
--- lpfcdriver-2.4-7.3.3/lpfc_version.h	2005-11-02 18:06:03.000000000 -0500
+++ lpfcdriver-2.4-7.3.4/lpfc_version.h	2006-01-11 16:49:33.000000000 -0500
@@ -19,10 +19,10 @@
  *******************************************************************/
 
 /*
- * $Id: lpfc_version.h 439 2005-11-01 19:04:57Z sf_support $
+ * $Id: lpfc_version.h 472 2006-01-11 21:39:55Z sf_support $
  */
 
-#define LPFC_DRIVER_VERSION "7.3.3"
+#define LPFC_DRIVER_VERSION "7.3.4"
 
 #define LPFC_DRIVER_NAME "lpfc"
 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.n/a
2.
3.
  

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 14:47:47 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.